package com.sd.business.entity.board.bo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
public class OrderSalesShipmentStatisticsBo {

    /**
     * bom规格id
     */
    private Long bomSpecId;

    /**
     * 品号
     */
    private String bomSpecCode;

    /**
     * 品名
     */
    private String bomSpecName;

    /**
     * 宽
     */
    private BigDecimal width;

    /**
     * 高
     */
    private BigDecimal height;

    /**
     * 色层 字典:bom_chromatophore
     */
    private String chromatophore;

    /**
     * 种类 字典:bom_species
     */
    private String species;

    /**
     * 售价体系 字典:bom_sellingPriceSystem
     */
    private String sellingPriceSystem;

    /**
     * 正面纹路 字典:bom_frontGrain
     */
    private String frontGrain;

    /**
     * 背面纹路 字典:bom_reverseGrain
     */
    private String reverseGrain;

    /**
     * 颜色
     */
    private String colour;

    /**
     * 90天销售数量
     */
    private BigDecimal ninetyDaysSalesQuantity;

    /**
     * 60天销售数量
     */
    private BigDecimal sixtyDaysSalesQuantity;

    /**
     * 30天销售数量
     */
    private BigDecimal thirtyDaysSalesQuantity;

    /**
     * 周转率
     */
    private BigDecimal turnoverRate;
}
