package com.sd.business.entity.production.vo;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 待备料数量统计返回实体
 */
@Getter
@Setter
public class UncompletedStatisticsVo {

    /**
     * 半成品总数
     */
    private BigDecimal semiFinishedCount;

    /**
     * 成品总数
     */
    private BigDecimal finishedCount;
}
