package com.sd.business.mapper.production;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.production.po.ProductionExceedReceive;
import com.sd.business.entity.production.vo.ProductionExceedReceiveVo;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 生产超领 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-11-09
 */
public interface ProductionExceedReceiveMapper extends BaseMapper<ProductionExceedReceive> {

    /**
     * 生产超领分页
     * @param page
     * @param wrapper
     * @return
     */
    Page<ProductionExceedReceiveVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ProductionExceedReceive> wrapper);
}
